#ifndef __DIS_HPP__
#define __DIS_HPP__

#include "types.hpp"

/****************************************************************************/

// Takes "code" as input ("size" bytes), assuming that the first byte will
// be loaded to address "origin" (preferred load address). Returns the
// transformed instruction stream as return value and its size as
// outputSize.
sU8 *DisFilter(sU8 *code,sInt size,sU32 origin,sU32 &outputSize);

// Undo the transform.
sBool DisUnFilter(sU8 *source,sU32 sourceSize,sU8 *dest,sU32 destSize,sU32 memory);

/****************************************************************************/

#endif